import { GlobalStoreConfig } from './GlobalStore.types';
/**
 * @description
 * Get an item from local storage using the config provided.
 */
export declare const getLocalStorageItem: <T = any, TState = any, TMetadata = any>({ config, localStorageKey, }: {
    localStorageKey: string;
    config: GlobalStoreConfig<TState, TMetadata, import("react-native-global-state-hooks").StateSetter<TState>>;
}) => T;
/**
 * @description
 * Set an item to local storage using the config provided.
 */
export declare const setLocalStorageItem: <T, TState = any, TMetadata = any>({ item, config, localStorageKey, }: {
    localStorageKey: string;
    config: GlobalStoreConfig<TState, TMetadata, import("react-native-global-state-hooks").StateSetter<TState>>;
    item: T;
}) => void;
